Upgrade ubuntu = problems

Forum for questions and support relating to the 1.24.x releases only.
Post Reply
lvthunder
Posts: 13
Joined: Wed Mar 04, 2009 9:17 pm

Upgrade ubuntu = problems

Post by lvthunder » Tue Aug 27, 2013 3:25 am

So I got the bright idea to upgrade Ubuntu since it said it was no longer supported. So when the upgrade finished ZoneMinder is broken. When I run apt-get upgrade or zmudate.pl I get this. Any ideas how to fix this.

Code: Select all

Setting up zoneminder (1.24.4-1) ...
Stopping ZoneMinder: Bareword "ZM_PATH_LOGS" not allowed while "strict subs" in use at /usr/share/perl5/ZoneMinder/Debug.pm line 265.
Compilation failed in require at /usr/share/perl5/ZoneMinder.pm line 34.
BEGIN failed--compilation aborted at /usr/share/perl5/ZoneMinder.pm line 34.
Compilation failed in require at /usr/bin/zmpkg.pl line 46.
BEGIN failed--compilation aborted at /usr/bin/zmpkg.pl line 46.
Zoneminder already stopped

Bareword "ZM_PATH_LOGS" not allowed while "strict subs" in use at /usr/share/perl5/ZoneMinder/Debug.pm line 265.
Compilation failed in require at /usr/local/bin/zmupdate.pl line 51.
BEGIN failed--compilation aborted at /usr/local/bin/zmupdate.pl line 51.
dpkg: error processing zoneminder (--configure):
 subprocess installed post-installation script returned error exit status 2
Errors were encountered while processing:
 zoneminder
E: Sub-process /usr/bin/dpkg returned an error code (1)

PacoLM
Posts: 970
Joined: Wed Dec 02, 2009 9:55 pm
Location: Spain

Re: Upgrade ubuntu = problems

Post by PacoLM » Tue Aug 27, 2013 8:04 pm


mini-ITX system (4 IPCams - Ubuntu20.04 - ZM1.34.15)
TelegramBot

lvthunder
Posts: 13
Joined: Wed Mar 04, 2009 9:17 pm

Re: Upgrade ubuntu = problems

Post by lvthunder » Wed Aug 28, 2013 4:01 am

It ended up being a database issue. I ended up unistalling zm and reinstalling and setting everything back up. Good news is it works again.

Post Reply

Who is online

Users browsing this forum: No registered users and 3 guests